<?php
/*
	Plugin Name: City for country
	Plugin URI: http://www.wooforce.com/shop
	Description: Obtain city field for particular countries.
	Version: 1.0.2
	Author: WooForce
	Author URI: http://www.wooforce.com
*/
 if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	
	function wf_city_scripts() {
		wp_enqueue_script( 'common-script', plugins_url( '/resources/js/wf_common.js', __FILE__ ), array( 'jquery' ) );
	}
	
	add_action( 'woocommerce_shipping_calculator_enable_city', function(){return true;} );
	add_filter( 'wp_enqueue_scripts',  'wf_city_scripts' );


	add_filter( 'default_checkout_billing_city', function(){
		return WC()->customer->get_city() ? WC()->customer->get_city() : '';
	} );
	
	add_filter( 'default_checkout_shipping_city', function(){
		return WC()->customer->get_shipping_city() ? WC()->customer->get_shipping_city() : '';
	} );
	
}
